# $Id: python-cm_api.spec 1376 2013-12-16 18:20:07Z rpmbuild $
# repo: RE
# restrictions:

#
# Copyright (c) 2013 Mike Arnold <rpmpackaging@razorsedge.org>
#
# Please submit bugfixes or comments via http://rpm.razorsedge.org/bugs/
#

%global commit 8dea57af36092f400164d1db168dd643122bb2a7
%global shortcommit %(c=%{commit}; echo ${c:0:7})

%global realname cm_api

%if 0%{?rhel} && 0%{?rhel} <= 5
%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}
%{!?python_sitearch: %global python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(1))")}
%endif

Summary: Cloudera Manager RESTful API Client
Name: python-cm_api
Version: 5.0.0
Release: %RErelease 2
License: ASL 2.0
Group: Development/Languages
URL: https://github.com/cloudera/cm_api/
Source0: https://github.com/cloudera/%{realname}/archive/%{commit}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: python2-devel
BuildRequires: python-setuptools
BuildRequires: rpm-macros-razorsedge
Requires: python-argparse
Requires: python-setuptools
BuildArch: noarch

%description
This client code allows you to interact with Cloudera Manager to:
* Manage multiple clusters
* Start and stop all or individual services or roles
* Upgrade services running on your cluster
* Access time-series data on resource utilitization for any activity in the
  system
* Read logs for all processes in the system as well as stdout and stderr
* Programmatically configuration all aspects of your deployment
* Collect diagnostic data to aid in debugging issues
* Run distributed commands to manage auto-failover, host decommissioning and
  more
* View all events and alerts that have occurred in the system
* Add and remove users from the system

%prep
%setup -q -n %{realname}-%{commit}/python

%build
CFLAGS="$RPM_OPT_FLAGS" %{__python} setup.py build

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && %{__rm} -rf $RPM_BUILD_ROOT
%{__python} setup.py install --skip-build --root $RPM_BUILD_ROOT
%{__cp} -p README.md PYTHON_README.md

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && %{__rm} -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc ../README.md ../LICENSE.txt
%doc PYTHON_README.md SHELL_README.md examples/
%{python_sitelib}/cm_*
%if 0%{?fedora} >= 9 || 0%{?rhel} >= 6
%{python_sitelib}/*.egg-info
%endif
%{_bindir}/*

%changelog
* Mon Dec 16 2013 RazorsEdge Packaging <rpmpackaging@razorsedge.org> 5.0.0-2
- Require python-argparse and python-setuptools.

* Tue Nov 26 2013 RazorsEdge Packaging <rpmpackaging@razorsedge.org> 5.0.0-1
- First build.

